<?php
  $ruta="../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/admejecutivo.php");
  $admejecutivo=new admejecutivo;
  include_once($ruta."class/chofer.php");
  $chofer=new chofer;
  include_once($ruta."class/rol.php");
  $rol=new rol;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/actividad.php");
  $actividad=new actividad;
  include_once($ruta."class/cuota.php");
  $cuota=new cuota;
  include_once($ruta."funciones/funciones.php");
  session_start(); 
   $fechaHoy=date('Y-m-d');
   extract($_GET);

    $idactividad=dcUrl($lblcode);
    $act=$actividad->muestra($idactividad);


?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="LISTA DE SOCIOS";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
      include_once($ruta."includes/head_tablax.php");
    ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1116;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row " >
              <div class="col s12 m12 l12" style="background: white; text-align: center; color:#021e65; font-size: 25px; border-radius: 5px; border: #CBCBCB 1px solid; font-weight: bold;">
                <?php echo $hd_titulo; ?><br>
                 Actividad a Pagar: <b style=" font-size: 20px;"><?php echo $act['nombre'] ?></b>
              </div>
              
            </div>
          </div>
     
          <div class="container">
            <div class="section">
              <div class="row" >

              <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                        
                <table id="example2" class="display" cellspacing="0" width="100%">
<a href="index.php" class="btn-jh waves-effect waves-light red lighten-1"><i class="fa fa-mail-reply-all"></i></a>
              </div>
                  <thead>
                    <tr>
                      <th>CARNET</th>
                      <th>NOMBRE</th> 
                      <th>CELULAR</th> 
                      <th>GRUPO</th>
                      <th>OPCIONES</th>
                    </tr>
                  </thead>
                  <tfoot>
                    <tr>
                      <th></th>
                      <th></th> 
                      <th></th> 
                      <th></th>
                      <th></th>
                    </tr>
                  </tfoot>
                  <tbody>
                    <?php
                    foreach($chofer->mostrarTodo("estado=1") as $f)//idtipo=142
                    {
                      
                        $deje=$vadmejecutivo->muestra($f['idadmejecutivo']);
                       $lblcodep=ecUrl($deje['idpersona']);
                       $lblcode2=ecUrl($f['idchofer']);

                       $per=$persona->muestra($deje['idpersona']);
                       $idpedoc=$per['idpersona'];

                     $pergru=$personagrupo->mostrarUltimo("idpersona=".$idpedoc." and estado=1");
                     $gru=$grupo->muestra($pergru['idgrupo']);
                     //revisar saldo que debe
                     $total=0;
                      foreach($cuota->mostrarTodo("idactividad=".$idactividad." and idchofer=".$f['idchofer']) as $remov)
                      {
                          $total=$total+number_format($remov['monto'], 2, '.', '');
                      }
                      $totalsaldo=$act['cuota'] - $total;

                    ?>
                    <tr >
                      <td><?php echo $deje['carnet']." ".$deje['expedido']?></td>
                      <td><?php echo $deje['nombre']." ".$deje['paterno']." ".$deje['materno'] ?></td>
                      <td><?php echo $per['celular'] ?></td>
                      <td>

                        <?php 
                          if (count($pergru)>0) 
                          {
                            echo $gru['nombre'];
                          }else{
                            echo '<p style=color:blue;>SIN GRUPO</p>';
                          }
                         ?></td>
                      <td>
                       
                        <?php
                          if (number_format($totalsaldo, 2, '.', '')>0) 
                          {
                            ?>
                               <a href="cobrar/?lblcode=<?php echo $lblcode ?>&lblcode2=<?php echo $lblcode2 ?>" class="btn-jh waves-effect darken-4 red"><i class="fa fa-money"></i> Ver pagos</a>
                          <?php
                          }else{
                            ?>
                             <a href="cobrar/?lblcode=<?php echo $lblcode ?>&lblcode2=<?php echo $lblcode2 ?>" class="btn-jh waves-effect darken-4 green"><i class="fa fa-money"></i> Cancelado</a>
                          <?php
                          }
                         ?>
                      </td>
                    </tr>
                    <?php
                      }
                    ?>
                  </tbody>
                </table>
              </div>
              </div>
            </div>     
            </div>
       
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
    $(document).ready(function() {
      $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
        $('#example1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example2').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 0, "asc" ]],
        buttons: [
            //'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
         
    });

    $("#idcarnet").blur(function(){
        carnet=$('#idcarnet').val();
        //alert(carnet);
        if (carnet!="") {
          $.ajax({
            url: "nuevo/verificarCI.php",
            type: "POST",
            data: "carnet="+carnet,
            success: function(resp){
              //alert(resp);
              console.log(resp);
              $('#valCarnet').html(resp).slideDown(500);
            }
          });
        }
      });


    </script>
</body>

</html>